# opj_tcp Struct Reference
[J2K - JPEG-2000 codestream reader/writer]

`#include <gdcm_j2k.h>`

Collaboration diagram for opj_tcp:
[legend]

List of all members.

## Public Attributes
int | csty
float | distoratio [100]
int | first
int | mct
int | numlayers
int | numpocs
int | POC
opj_poc_t | pocs [32]
int | ppt
unsigned char * | ppt_data
unsigned char * | ppt_data_first
int | ppt_len
int | ppt_store
OPJ_PROG_ORDER | prg
float | rates [100]
opj_tccp_t * | tccps

## Detailed Description

Tile coding parameters : this structure is used to store coding/decoding parameters common to all tiles (information like COD, COC in main header)

## Member Data Documentation

int opj_tcp::csty

coding style

float opj_tcp::distoratio[100]

add fixed_quality

int opj_tcp::first

1 : first part-tile of a tile

int opj_tcp::mct

multi-component transform identifier

int opj_tcp::numlayers

number of layers

int opj_tcp::numpocs

number of progression order changes

int opj_tcp::POC

indicates if a POC marker has been used O:NO, 1:YES

opj_poc_t opj_tcp::pocs[32]

progression order changes

int opj_tcp::ppt

If ppt == 1 --> there was a PPT marker for the present tile

unsigned char* opj_tcp::ppt_data

packet header store there for futur use in t2_decode_packet

unsigned char* opj_tcp::ppt_data_first

pointer remaining on the first byte of the first header if ppt is used

int opj_tcp::ppt_len

ppmbug1

int opj_tcp::ppt_store

used in case of multiple marker PPT (number of info already stored)

OPJ_PROG_ORDER opj_tcp::prg

progression order

float opj_tcp::rates[100]

rates of layers

opj_tccp_t* opj_tcp::tccps

tile-component coding parameters

The documentation for this struct was generated from the following file:

- gdcm_j2k.h